summaryrefslogtreecommitdiff
path: root/qte
diff options
context:
space:
mode:
authorMichael Lauer <mickey@vanille-media.de>2004-05-17 15:18:14 +0000
committerMichael Lauer <mickey@vanille-media.de>2004-05-17 15:18:14 +0000
commit3e7b0e770e1d6e119cb38c1853cdc0389ef324a9 (patch)
treeb792fcab9513aa0b4852cbb61630bb169a4b4010 /qte
parentfe9ed6c58625640a81993a6da3b5a72f3a298600 (diff)
add update-qtfontdir. Note: This doesn't fully work yet
because we obviously can't specify pkg_postinst_<subpackage>, at least not for subpackages containing hypens. BKrev: 40a8d7b6Q7jxka6N2o2Npl1muRqqWg
Diffstat (limited to 'qte')
-rw-r--r--qte/qte-2.3.7-r0/update-qtfontdir0
-rw-r--r--qte/qte-for-opie_2.3.7.oe7
-rw-r--r--qte/qte_2.3.7.oe48
3 files changed, 41 insertions, 14 deletions
diff --git a/qte/qte-2.3.7-r0/update-qtfontdir b/qte/qte-2.3.7-r0/update-qtfontdir
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/qte/qte-2.3.7-r0/update-qtfontdir
diff --git a/qte/qte-for-opie_2.3.7.oe b/qte/qte-for-opie_2.3.7.oe
index 54a51c8a65..79d418299a 100644
--- a/qte/qte-for-opie_2.3.7.oe
+++ b/qte/qte-for-opie_2.3.7.oe
@@ -4,9 +4,4 @@ FILESDIR = "${@os.path.dirname(oe.data.getVar('FILE',d,1))}/qte-${PV}-r0"
DESCRIPTION = "Qt/Embedded w/ Opie Patches version ${PV}"
-SRC_URI = "ftp://ftp.trolltech.com/pub/qt/source/qt-embedded-${PV}.tar.gz \
- file://${FILESDIR}/qpe.patch;patch=1 \
- file://${FILESDIR}/tslib.patch;patch=1 \
- file://${FILESDIR}/devfs.patch;patch=1 \
- file://${FILESDIR}/no-moc.patch;patch=1 \
- file://${FILESDIR}/opie.patch;patch=1"
+SRC_URI_append = "file://${FILESDIR}/opie.patch;patch=1"
diff --git a/qte/qte_2.3.7.oe b/qte/qte_2.3.7.oe
index 52e3737029..d541eff9dc 100644
--- a/qte/qte_2.3.7.oe
+++ b/qte/qte_2.3.7.oe
@@ -2,13 +2,16 @@ DESCRIPTION = "Qt/Embedded version ${PV}"
SECTION = "libs"
PRIORITY = "optional"
LICENSE = "GPL/QPL"
-SRC_URI = "ftp://ftp.trolltech.com/pub/qt/source/qt-embedded-${PV}.tar.gz \
- file://${FILESDIR}/qpe.patch;patch=1 \
- file://${FILESDIR}/tslib.patch;patch=1 \
- file://${FILESDIR}/devfs.patch;patch=1 \
- file://${FILESDIR}/no-moc.patch;patch=1 "
-DEPENDS = "virtual/libc base/zlib base/libpng base/jpeg uicmoc-native"
+DEPENDS = "base/zlib base/libpng base/jpeg uicmoc-native"
PROVIDES = "virtual/qte virtual/libqte2"
+PR = "1"
+
+SRC_URI = "ftp://ftp.trolltech.com/pub/qt/source/qt-embedded-${PV}.tar.gz \
+ file://${FILESDIR}/qpe.patch;patch=1 \
+ file://${FILESDIR}/tslib.patch;patch=1 \
+ file://${FILESDIR}/devfs.patch;patch=1 \
+ file://${FILESDIR}/no-moc.patch;patch=1 \
+ file://${FILESDIR}/update-qtfontdir "
S = "${WORKDIR}/qt-${PV}"
export QTDIR = "${S}"
@@ -65,15 +68,44 @@ do_stage() {
}
do_install() {
- install -d ${D}${palmtopdir}/lib/fonts
+ install -d ${D}/${sbindir}/
+ install -m 0755 ${WORKDIR}/update-qtfontdir ${D}/${sbindir}/
+ install -d ${D}${palmtopdir}/lib/fonts/
oe_libinstall -so -C lib libqte ${D}/${palmtopdir}/lib
cp -a lib/fonts/* ${D}${palmtopdir}/lib/fonts/
}
+pkg_postinst () {
+#!/bin/sh
+if [ -n $D ]; then exit 1; fi
+set -e
+. /etc/profile
+update-qtfontdir
+}
+
+#
+# FIXME: Don't use the above but make the following work:
+#
+
+#pkg_postinst_qte-font-fixed() {
+#if [ -n $D ]; then exit 1; fi
+#/usr/sbin/update-qtfontdir
+#}
+
+#pkg_postinst_qte-font-helvetica() {
+#if [ -n $D ]; then exit 1; fi
+#/usr/sbin/update-qtfontdir
+#}
+
+#pkg_postinst_qte-fonts-smoothtimes() {
+#if [ -n $D ]; then exit 1; fi
+#/usr/sbin/update-qtfontdir
+#}
+
PACKAGES = "libqte2 qte-font-fixed qte-font-helvetica qte-font-smoothtimes qte-font-smallsmooth"
FILES_${PN} = ""
-FILES_libqte2 = "${palmtopdir}/lib/libqte.so*"
+FILES_libqte2 = "${palmtopdir}/lib/libqte.so* /usr/sbin/update-qtfontdir"
FILES_qte-font-fixed = "${palmtopdir}/lib/fonts/fixed*"
FILES_qte-font-helvetica = "${palmtopdir}/lib/fonts/helvetica*"
FILES_qte-font-smoothtimes = "${palmtopdir}/lib/fonts/smoothtimes*"